CLS
PRINT "Demonstration of QBREDIR subroutines"
PRINT " First, we'll do a normal shell to read the directory..."
SHELL "dir/w"
PRINT
PRINT "Press a key..."
SLEEP

CLS
PRINT "Now we will do the same thing while redirecting"
PRINT "the output to a file named dir.txt..."
SHELL "dir/w >dir.txt"
PRINT
PRINT "Didn't see anything happening, did you?"
PRINT "Press a key..."
SLEEP

CLS
PRINT
PRINT "Now we will do the same thing using QBREDIR"
PRINT "to display the output while being sent to dir1.txt."
Redflag% = 1
CALL QFRedSet(Redflag%)
SHELL "dir/w >dir1.txt"
PRINT "You observed the directory being printed to the file."
PRINT "Press a key..."
SLEEP

CLS
Redflag% = 0

PRINT
PRINT "Now our flag is off, so we will try it once more."
PRINT "This time, we will redirect to dir2.txt."
PRINT "Press a key..."
SLEEP

SHELL "dir/w >dir2.txt"
PRINT
PRINT "Once again, you didn't see anything displayed."
PRINT "Press a key..."
SLEEP

CALL QFRedOff
CLS
PRINT "QBREDIR test done"
PRINT
PRINT "Just be sure to reset the interrupt 21 vector"
PRINT "before your program ends!!"
PRINT
PRINT "Press a key to end..."
SLEEP

CLS

